gi-gdkx11-3.0.2: GdkX11 bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria (garetxe@gmail.com)
Safe Haskell | None
Language | Haskell2010

GI.GdkX11.Objects.X11DragContext

Contents

- Exported types

Description

No description available in the introspection data.

Synopsis

- newtype X11DragContext = X11DragContext (ManagedPtr X11DragContext)
- class GObject o => IsX11DragContext o
- toX11DragContext :: (MonadIO m, IsX11DragContext o) => o -> m X11DragContext
- noX11DragContext :: Maybe X11DragContext

# Exported types

newtype X11DragContext Source #

Memory-managed wrapper type.

Constructors

X11DragContext (ManagedPtr X11DragContext) |

Instances

GObject X11DragContext Source # |
Instance details Defined in GI.GdkX11.Objects.X11DragContext Methods gobjectType :: X11DragContext -> IO GType Source #
IsDragContext X11DragContext Source # |
Instance details Defined in GI.GdkX11.Objects.X11DragContext
IsObject X11DragContext Source # |
Instance details Defined in GI.GdkX11.Objects.X11DragContext
IsX11DragContext X11DragContext Source # |
Instance details Defined in GI.GdkX11.Objects.X11DragContext

class GObject o => IsX11DragContext o Source #

Type class for types which can be safely cast to `X11DragContext`, for instance with `toX11DragContext`.

Instances

(GObject a, (UnknownAncestorError X11DragContext a :: Constraint)) => IsX11DragContext a Source # |
Instance details Defined in GI.GdkX11.Objects.X11DragContext
IsX11DragContext X11DragContext Source # |
Instance details Defined in GI.GdkX11.Objects.X11DragContext

toX11DragContext :: (MonadIO m, IsX11DragContext o) => o -> m X11DragContext Source #

Cast to `X11DragContext`, for types for which this is known to be safe. For general casts, use `castTo`.

noX11DragContext :: Maybe X11DragContext Source #

A convenience alias for `Nothing` :: `Maybe` `X11DragContext`.